Package ru.nilsoft.tm

# Class TMCommand.planned_status

java.lang.Object
ru.nilsoft.tm.TMCommand.planned_status

Enclosing class:
  `TMCommand`

public static final class TMCommand.planned_status extends Object
Значение реквизита "Планируемый статус товара" (тег 2003), "Присвоенный статус товара" (тег 2110) [ФФД 1.2 и выше].

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `MEASURED_GOODS_IMPLEMENTED`
  Мерный товар, подлежащий обязательной маркировке средством идентификации, реализован.
  `static final byte`
  `MEASURED_GOODS_UNDERWAY`
  Мерный товар, подлежащий обязательной маркировке средством идентификации, в стадии реализации.
  `static final byte`
  `PART_GOODS_RETURNED`
  Часть товара, подлежащего обязательной маркировке средством идентификации, возвращена.
  `static final byte`
  `PIECE_GOODS_IMPLEMENTED`
  Штучный товар, подлежащий обязательной маркировке средством идентификации, реализован.
  `static final byte`
  `PIECE_GOODS_RETURNED`
  Штучный товар, подлежащий обязательной маркировке средством идентификации, возвращен.
  `static final byte`
  `PIECE_GOODS_UNDERWAY`
  Штучный товар, подлежащий обязательной маркировке средством идентификации, в стадии реализации.
  `static final byte`
  `STATUS_GOODS_NOT_CHANGE`
  Статус товара, подлежащего обязательной маркировке средством идентификации, не изменился.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `planned_status()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PIECE_GOODS_IMPLEMENTED

    public static final byte PIECE_GOODS_IMPLEMENTED
    Штучный товар, подлежащий обязательной маркировке средством идентификации, реализован.
    See Also:
      - Constant Field Values

  - ### MEASURED_GOODS_UNDERWAY

    public static final byte MEASURED_GOODS_UNDERWAY
    Мерный товар, подлежащий обязательной маркировке средством идентификации, в стадии реализации.
    See Also:
      - Constant Field Values

  - ### PIECE_GOODS_RETURNED

    public static final byte PIECE_GOODS_RETURNED
    Штучный товар, подлежащий обязательной маркировке средством идентификации, возвращен.
    See Also:
      - Constant Field Values

  - ### PART_GOODS_RETURNED

    public static final byte PART_GOODS_RETURNED
    Часть товара, подлежащего обязательной маркировке средством идентификации, возвращена.
    See Also:
      - Constant Field Values

  - ### PIECE_GOODS_UNDERWAY

    public static final byte PIECE_GOODS_UNDERWAY
    Штучный товар, подлежащий обязательной маркировке средством идентификации, в стадии реализации.
    See Also:
      - Constant Field Values

  - ### MEASURED_GOODS_IMPLEMENTED

    public static final byte MEASURED_GOODS_IMPLEMENTED
    Мерный товар, подлежащий обязательной маркировке средством идентификации, реализован.
    See Also:
      - Constant Field Values

  - ### STATUS_GOODS_NOT_CHANGE

    public static final byte STATUS_GOODS_NOT_CHANGE
    Статус товара, подлежащего обязательной маркировке средством идентификации, не изменился.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### planned_status

    public planned_status()